Set Default Payment Method
Set a payment method as the default payment method Validates payment method belongs to organization/subscription
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Path Parameters
paymentMethodIdstring
Response Body
application/json
curl -X POST "https://api.nrings.io/v1/payment-methods/{paymentMethodId}:set-default" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d 'null'{
"paymentMethod": {
"id": "string",
"customerId": "string",
"paymentProviderPaymentMethodId": "string",
"type": "string",
"last4": "string",
"brand": "string",
"expiryMonth": 0,
"expiryYear": 0,
"isDefault": true,
"metadata": {},
"createdAt": "2019-08-24T14:15:22Z",
"organizationId": "string",
"subscriptionId": "string",
"status": "STATUS_UNSPECIFIED",
"timestamps": {
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
}
}
}Remove Payment Method DELETE
Remove a payment method Validation: - Providers: Cannot remove if only one method exists (except on free plan) - Clients: Cannot remove if only one method exists - Cannot remove if payment method is currently in use for active subscriptions
Get Payment GET
GetPayment retrieves a single payment with refunds